---

- name: Manage nodes
  bigip_node:
    provider: "{{ f5_cred }}"
    state: '{{ item.state | default("present") }}'
    partition: '{{ item.partition | default("Common") }}'
    host: '{{ item.host }}'
    name: '{{ item.name }}'
    description: '{{ item.description | default("managed by ansible") }}'
  with_items: '{{ f5_node }}'
  delegate_to: localhost
  register: manage_node

- name: Wait for sync
  wait_for:
    timeout: 10
  when: manage_node.changed
